Skip to main content
GET
Get Workflow Executions

Headers

x-anyreach-org
string | null

Organization ID for user PATs (pat_ prefix tokens)

Query Parameters

workflow_id
string<uuid> | null

Filter executions by workflow ID

version_id
string<uuid> | null

Filter executions by version ID

created_after
string<date-time> | null

Filter executions created after this datetime

created_before
string<date-time> | null

Filter executions created before this datetime

status
enum<string> | null

Filter executions by status

Available options:
success,
failed,
in_progress,
pending,
waiting
id
string | null

Filter executions by ID

limit
integer | null

Limit the number of executions returned

cursor
string | null

Cursor for pagination

Response

Successful Response

data
WorkflowExecutionSchema · object[]
required
pagination
PaginationMeta · object
required